
From: Dave Hansen <haveblue@us.ibm.com>

arch/ppc64/kernel/prom.c: In function `__make_room':
arch/ppc64/kernel/prom.c:1415: warning: unused variable `offset'

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/prom.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/prom.c~ppc64-__make_room-warning-fix arch/ppc64/kernel/prom.c
--- 25/arch/ppc64/kernel/prom.c~ppc64-__make_room-warning-fix	Thu Jul 29 14:12:13 2004
+++ 25-akpm/arch/ppc64/kernel/prom.c	Thu Jul 29 14:12:13 2004
@@ -1412,11 +1412,11 @@ static void __init *__make_room(unsigned
 				unsigned long needed, unsigned long align)
 {
 	void *ret;
-	unsigned long offset = reloc_offset();
 
 	*mem_start = ALIGN(*mem_start, align);
 	if (*mem_start + needed > *mem_end) {
 #ifdef CONFIG_BLK_DEV_INITRD
+		unsigned long offset = reloc_offset();
 		/* FIXME: Apple OF doesn't map unclaimed mem.  If this
 		 * ever happened on G5, we'd need to fix. */
 		unsigned long initrd_len;
_
